Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.datatype
Class DynamicSelectionList.SelectionListHandler

    java.lang.Object
      org.apache.cocoon.util.AbstractLogEnabled
          org.apache.cocoon.xml.AbstractXMLProducer
              org.apache.cocoon.xml.AbstractXMLPipe
                  org.apache.cocoon.forms.datatype.DynamicSelectionList.SelectionListHandler

All Implemented Interfaces:
  ContentHandler, LexicalHandler, Poolable, Recyclable, XMLConsumer, org.apache.cocoon.xml.XMLConsumer, org.apache.cocoon.xml.XMLPipe, org.apache.cocoon.xml.XMLProducer

Enclosing class:
  DynamicSelectionList

public class DynamicSelectionList.SelectionListHandler
extends org.apache.cocoon.xml.AbstractXMLPipe

XMLConsumer used to handle selection lists generated on the fly.

Field Summary

Fields inherited from class org.apache.cocoon.xml.AbstractXMLProducer
`contentHandler, EMPTY_CONTENT_HANDLER, lexicalHandler, xmlConsumer`

Constructor Summary
`DynamicSelectionList.SelectionListHandler(Locale locale)`

Method Summary
`void` | `characters(char[] c, int start, int len)`
`void` | `comment(char[] ch, int start, int len)`
`void` | `endCDATA()`
`void` | `endDocument()`
`void` | `endDTD()`
`void` | `endElement(String namespaceURI, String localName, String qName)`
`void` | `endEntity(String name)`
`void` | `endPrefixMapping(String prefix)`
`void` | `ignorableWhitespace(char[] c, int start, int len)`
`void` | `processingInstruction(String target, String data)`
`void` | `skippedEntity(String name)`
`void` | `startCDATA()`
`void` | `startDocument()`
`void` | `startDTD(String name, String publicId, String systemId)`
`void` | `startElement(String namespaceURI, String localName, String qName, Attributes attributes)`
`void` | `startEntity(String name)`
`void` | `startPrefixMapping(String prefix, String uri)`

Methods inherited from class org.apache.cocoon.xml.AbstractXMLPipe
`setDocumentLocator`

Methods inherited from class org.apache.cocoon.xml.AbstractXMLProducer
`recycle, setConsumer, setContentHandler, setLexicalHandler`

Methods inherited from class org.apache.cocoon.util.AbstractLogEnabled
`getLogger, setLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cocoon.xml.XMLProducer
`setConsumer`

Constructor Detail

### DynamicSelectionList.SelectionListHandler

    public DynamicSelectionList.SelectionListHandler(Locale locale)

Method Detail

### startDocument

    public void startDocument()
                       throws SAXException

  Throws:
    `SAXException`

### endDocument

    public void endDocument()
                     throws SAXException

  Throws:
    `SAXException`

### endDTD

    public void endDTD()
                throws SAXException

  Throws:
    `SAXException`

### startDTD

    public void startDTD(String name,
                         String publicId,
                         String systemId)
                  throws SAXException

  Throws:
    `SAXException`

### startElement

    public void startElement(String namespaceURI,
                             String localName,
                             String qName,
                             Attributes attributes)
                      throws SAXException

  Throws:
    `SAXException`

### endElement

    public void endElement(String namespaceURI,
                           String localName,
                           String qName)
                    throws SAXException

  Throws:
    `SAXException`

### comment

    public void comment(char[] ch,
                        int start,
                        int len)
                 throws SAXException

  Throws:
    `SAXException`

### startPrefixMapping

    public void startPrefixMapping(String prefix,
                                   String uri)
                            throws SAXException

  Throws:
    `SAXException`

### endPrefixMapping

    public void endPrefixMapping(String prefix)
                          throws SAXException

  Throws:
    `SAXException`

### characters

    public void characters(char[] c,
                           int start,
                           int len)
                    throws SAXException

  Throws:
    `SAXException`

### ignorableWhitespace

    public void ignorableWhitespace(char[] c,
                                    int start,
                                    int len)
                             throws SAXException

  Throws:
    `SAXException`

### processingInstruction

    public void processingInstruction(String target,
                                      String data)
                               throws SAXException

  Throws:
    `SAXException`

### skippedEntity

    public void skippedEntity(String name)
                       throws SAXException

  Throws:
    `SAXException`

### startEntity

    public void startEntity(String name)
                     throws SAXException

  Throws:
    `SAXException`

### endEntity

    public void endEntity(String name)
                   throws SAXException

  Throws:
    `SAXException`

### startCDATA

    public void startCDATA()
                    throws SAXException

  Throws:
    `SAXException`

### endCDATA

    public void endCDATA()
                  throws SAXException

  Throws:
    `SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.